com.amazonaws.services.workspaces.model

## Class DefaultWorkspaceCreationProperties

- java.lang.Object
- - com.amazonaws.services.workspaces.model.DefaultWorkspaceCreationProperties

All Implemented Interfaces:
  Serializable, Cloneable

    public class DefaultWorkspaceCreationProperties
    extends Object
    implements Serializable, Cloneable

Contains default WorkSpace creation information.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DefaultWorkspaceCreationProperties()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DefaultWorkspaceCreationProperties` `clone()`
`boolean` `equals(Object obj)`
`String` `getCustomSecurityGroupId()` The identifier of any custom security groups that are applied to the WorkSpaces when they are created.
`String` `getDefaultOu()` The organizational unit (OU) in the directory that the WorkSpace machine accounts are placed in.
`Boolean` `getEnableInternetAccess()` A public IP address will be attached to all WorkSpaces that are created or rebuilt.
`Boolean` `getEnableWorkDocs()` Specifies if the directory is enabled for Amazon WorkDocs.
`Boolean` `getUserEnabledAsLocalAdministrator()` The WorkSpace user is an administrator on the WorkSpace.
`int` `hashCode()`
`Boolean` `isEnableInternetAccess()` A public IP address will be attached to all WorkSpaces that are created or rebuilt.
`Boolean` `isEnableWorkDocs()` Specifies if the directory is enabled for Amazon WorkDocs.
`Boolean` `isUserEnabledAsLocalAdministrator()` The WorkSpace user is an administrator on the WorkSpace.
`void` `setCustomSecurityGroupId(String customSecurityGroupId)` The identifier of any custom security groups that are applied to the WorkSpaces when they are created.
`void` `setDefaultOu(String defaultOu)` The organizational unit (OU) in the directory that the WorkSpace machine accounts are placed in.
`void` `setEnableInternetAccess(Boolean enableInternetAccess)` A public IP address will be attached to all WorkSpaces that are created or rebuilt.
`void` `setEnableWorkDocs(Boolean enableWorkDocs)` Specifies if the directory is enabled for Amazon WorkDocs.
`void` `setUserEnabledAsLocalAdministrator(Boolean userEnabledAsLocalAdministrator)` The WorkSpace user is an administrator on the WorkSpace.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DefaultWorkspaceCreationProperties` `withCustomSecurityGroupId(String customSecurityGroupId)` The identifier of any custom security groups that are applied to the WorkSpaces when they are created.
`DefaultWorkspaceCreationProperties` `withDefaultOu(String defaultOu)` The organizational unit (OU) in the directory that the WorkSpace machine accounts are placed in.
`DefaultWorkspaceCreationProperties` `withEnableInternetAccess(Boolean enableInternetAccess)` A public IP address will be attached to all WorkSpaces that are created or rebuilt.
`DefaultWorkspaceCreationProperties` `withEnableWorkDocs(Boolean enableWorkDocs)` Specifies if the directory is enabled for Amazon WorkDocs.
`DefaultWorkspaceCreationProperties` `withUserEnabledAsLocalAdministrator(Boolean userEnabledAsLocalAdministrator)` The WorkSpace user is an administrator on the WorkSpace.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultWorkspaceCreationProperties

    public DefaultWorkspaceCreationProperties()

### Method Detail

#### setEnableWorkDocs

    public void setEnableWorkDocs(Boolean enableWorkDocs)

Specifies if the directory is enabled for Amazon WorkDocs.

Parameters:
  `enableWorkDocs` - Specifies if the directory is enabled for Amazon WorkDocs.

#### getEnableWorkDocs

    public Boolean getEnableWorkDocs()

Specifies if the directory is enabled for Amazon WorkDocs.

Returns:
  Specifies if the directory is enabled for Amazon WorkDocs.

#### withEnableWorkDocs

    public DefaultWorkspaceCreationProperties withEnableWorkDocs(Boolean enableWorkDocs)

Specifies if the directory is enabled for Amazon WorkDocs.

Parameters:
  `enableWorkDocs` - Specifies if the directory is enabled for Amazon WorkDocs.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnableWorkDocs

    public Boolean isEnableWorkDocs()

Specifies if the directory is enabled for Amazon WorkDocs.

Returns:
  Specifies if the directory is enabled for Amazon WorkDocs.

#### setEnableInternetAccess

    public void setEnableInternetAccess(Boolean enableInternetAccess)

A public IP address will be attached to all WorkSpaces that are created or rebuilt.

Parameters:
  `enableInternetAccess` - A public IP address will be attached to all WorkSpaces that are created or rebuilt.

#### getEnableInternetAccess

    public Boolean getEnableInternetAccess()

A public IP address will be attached to all WorkSpaces that are created or rebuilt.

Returns:
  A public IP address will be attached to all WorkSpaces that are created or rebuilt.

#### withEnableInternetAccess

    public DefaultWorkspaceCreationProperties withEnableInternetAccess(Boolean enableInternetAccess)

A public IP address will be attached to all WorkSpaces that are created or rebuilt.

Parameters:
  `enableInternetAccess` - A public IP address will be attached to all WorkSpaces that are created or rebuilt.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnableInternetAccess

    public Boolean isEnableInternetAccess()

A public IP address will be attached to all WorkSpaces that are created or rebuilt.

Returns:
  A public IP address will be attached to all WorkSpaces that are created or rebuilt.

#### setDefaultOu

    public void setDefaultOu(String defaultOu)

The organizational unit (OU) in the directory that the WorkSpace machine accounts are placed in.

Parameters:
  `defaultOu` - The organizational unit (OU) in the directory that the WorkSpace machine accounts are placed in.

#### getDefaultOu

    public String getDefaultOu()

The organizational unit (OU) in the directory that the WorkSpace machine accounts are placed in.

Returns:
  The organizational unit (OU) in the directory that the WorkSpace machine accounts are placed in.

#### withDefaultOu

    public DefaultWorkspaceCreationProperties withDefaultOu(String defaultOu)

The organizational unit (OU) in the directory that the WorkSpace machine accounts are placed in.

Parameters:
  `defaultOu` - The organizational unit (OU) in the directory that the WorkSpace machine accounts are placed in.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCustomSecurityGroupId

    public void setCustomSecurityGroupId(String customSecurityGroupId)

The identifier of any custom security groups that are applied to the WorkSpaces when they are created.

Parameters:
  `customSecurityGroupId` - The identifier of any custom security groups that are applied to the WorkSpaces when they are created.

#### getCustomSecurityGroupId

    public String getCustomSecurityGroupId()

The identifier of any custom security groups that are applied to the WorkSpaces when they are created.

Returns:
  The identifier of any custom security groups that are applied to the WorkSpaces when they are created.

#### withCustomSecurityGroupId

    public DefaultWorkspaceCreationProperties withCustomSecurityGroupId(String customSecurityGroupId)

The identifier of any custom security groups that are applied to the WorkSpaces when they are created.

Parameters:
  `customSecurityGroupId` - The identifier of any custom security groups that are applied to the WorkSpaces when they are created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setUserEnabledAsLocalAdministrator

    public void setUserEnabledAsLocalAdministrator(Boolean userEnabledAsLocalAdministrator)

The WorkSpace user is an administrator on the WorkSpace.

Parameters:
  `userEnabledAsLocalAdministrator` - The WorkSpace user is an administrator on the WorkSpace.

#### getUserEnabledAsLocalAdministrator

    public Boolean getUserEnabledAsLocalAdministrator()

The WorkSpace user is an administrator on the WorkSpace.

Returns:
  The WorkSpace user is an administrator on the WorkSpace.

#### withUserEnabledAsLocalAdministrator

    public DefaultWorkspaceCreationProperties withUserEnabledAsLocalAdministrator(Boolean userEnabledAsLocalAdministrator)

The WorkSpace user is an administrator on the WorkSpace.

Parameters:
  `userEnabledAsLocalAdministrator` - The WorkSpace user is an administrator on the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isUserEnabledAsLocalAdministrator

    public Boolean isUserEnabledAsLocalAdministrator()

The WorkSpace user is an administrator on the WorkSpace.

Returns:
  The WorkSpace user is an administrator on the WorkSpace.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DefaultWorkspaceCreationProperties clone()

Overrides:
  `clone` in class `Object`